﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using veebandmed1.Models;

namespace veebandmed1.Controllers
{
    public class KassesController : Controller
    {
        private KassContext db = new KassContext();

        // GET: Kasses
        public ActionResult Index()
        {
            var kasses = db.Kassid.Include(k => k.Omanik);
            return View(kasses.ToList());
        }

        // GET: Kasses/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Kass kass = db.Kassid.Find(id);
            if (kass == null)
            {
                return HttpNotFound();
            }
            return View(kass);
        }

        // GET: Kasses/Create
        public ActionResult Create()
        {
            ViewBag.OmanikID = new SelectList(db.Omaniks, "ID", "eesnimi");
            return View();
        }

        // POST: Kasses/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "ID,kassinimi,synniaasta,OmanikID")] Kass kass)
        {
            if (ModelState.IsValid)
            {
                db.Kassid.Add(kass);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            ViewBag.OmanikID = new SelectList(db.Omaniks, "ID", "eesnimi", kass.OmanikID);
            return View(kass);
        }

        // GET: Kasses/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Kass kass = db.Kassid.Find(id);
            if (kass == null)
            {
                return HttpNotFound();
            }
            ViewBag.OmanikID = new SelectList(db.Omaniks, "ID", "eesnimi", kass.OmanikID);
            return View(kass);
        }

        // POST: Kasses/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "ID,kassinimi,synniaasta,OmanikID")] Kass kass)
        {
            if (ModelState.IsValid)
            {
                db.Entry(kass).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            ViewBag.OmanikID = new SelectList(db.Omaniks, "ID", "eesnimi", kass.OmanikID);
            return View(kass);
        }

        // GET: Kasses/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Kass kass = db.Kassid.Find(id);
            if (kass == null)
            {
                return HttpNotFound();
            }
            return View(kass);
        }

        // POST: Kasses/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Kass kass = db.Kassid.Find(id);
            db.Kassid.Remove(kass);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}
