﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using veebandmed1.Models;

namespace veebandmed1.Controllers
{
    public class OmaniksController : Controller
    {
        private OmanikContext db = new OmanikContext();

        // GET: Omaniks
        public ActionResult Index()
        {
            return View(db.Omaniks.ToList());
        }

        // GET: Omaniks/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Omanik omanik = db.Omaniks.Find(id);
            if (omanik == null)
            {
                return HttpNotFound();
            }
            return View(omanik);
        }

        // GET: Omaniks/Create
        public ActionResult Create()
        {
            return View();
        }

        // POST: Omaniks/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "eesnimi")] Omanik omanik)
        {
            if (ModelState.IsValid)
            {
                omanik.ID = db.Omaniks.Select(om => om.ID).Max() + 1;
                db.Omaniks.Add(omanik);
                db.SaveChanges();
                return RedirectToAction("Index");
            }

            return View(omanik);
        }

        // GET: Omaniks/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Omanik omanik = db.Omaniks.Find(id);
            if (omanik == null)
            {
                return HttpNotFound();
            }
            return View(omanik);
        }

        // POST: Omaniks/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "ID,eesnimi")] Omanik omanik)
        {
            if (ModelState.IsValid)
            {
                db.Entry(omanik).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("Index");
            }
            return View(omanik);
        }

        // GET: Omaniks/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Omanik omanik = db.Omaniks.Find(id);
            if (omanik == null)
            {
                return HttpNotFound();
            }
            return View(omanik);
        }

        // POST: Omaniks/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Omanik omanik = db.Omaniks.Find(id);
            db.Omaniks.Remove(omanik);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}
